Package com.trilead.ssh2.log

# Class Logger

java.lang.Object
com.trilead.ssh2.log.Logger

public class Logger extends Object
Logger - a very simple logger, mainly used during development. Is not based on log4j (to reduce external dependencies). However, if needed, something like log4j could easily be hooked in.

For speed reasons, the static variables are not protected with semaphores. In other words, if you dynamicaly change the logging settings, then some threads may still use the old setting.

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`enabled`
`static DebugLogger`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`Logger(Class x)`

## Method Summary

Modifier and Type
Method
Description
`static final Logger`
`getLogger(Class x)`
`final boolean`
`isEnabled()`
`final void`
`log(int level, String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### enabled

public static boolean enabled

### logger

public static DebugLogger logger

## Constructor Details

### Logger

public Logger(Class x)

## Method Details

### getLogger

public static final Logger getLogger(Class x)

### isEnabled

public final boolean isEnabled()

### log

public final void log(int level, String message)